Subject: iSCSI: response/status used together

From: Eddy Quicksall <[email-masked]>
Date: Sat, 5 Jan 2002 07:20:24 -0500

There was a change made in draft 7 as follows:
 
 - SCSI response made to fit having both a Status and a Response 
 field. Needed for target errors that result in a check 
 condition and ACA. In line with SAM2 that requires both fields 
 (former versions where modeled on FCP).
 
Can someone give me a case where both response and status can be set
together? 
 
Also, it seems that ACA is reported via status; so what is the referenced
statement referring to?
 
Also, the spec says status "is valid only if the Response Code is Command
Completed at target". So, that makes me wonder more about why they need to
be separate. I assume the initiator should check the response for 0 before
checking the status and then ignore the status if the response is not 0.
 
Eddy

 
  _____